/**
 * Created by Escape on 16/8/30.
 */
/**
 * 是否是函数
 * @param    {any}  obj
 * @return  bool
 */
$.isFunction = function(obj) {
  return type(obj) === "function"
};
/**
 * 类数组转换成数组
 * @param    {any}  obj
 * @return  bool
 */
$.makeArray = W3C ? function(array) {
  return [].slice.call(array);
} :function(array) {
  var ret = [];
  if (array.toArray) {
    return array.toArray();
  }
  if (array != null) {
    var i = array.length;
    if ( i == null || typeof array === 'string' || $.isFunction(array)
      || array.setInterval) {
      ret[0] = array;
    } else {
      while (i) {
        ret[i--] = array[i];
      }
    }
  }
  return ret;
}
module.exports = $;
